utl::meta::detail::detector< Default, void_t< Op< Args... > >, Op, Args... > Struct Template Reference

`#include <detection.h>`

## Public Types

using | detected = true_
using | type = Op< Args... >

## Detailed Description

### template<typename Default, template< typename... > class Op, typename... Args>
struct utl::meta::detail::detector< Default, void_t< Op< Args... > >, Op, Args... >

Definition at line 83 of file detection.h.

## Member Typedef Documentation

## detected

template<typename Default , template< typename... > class Op, typename... Args>

using utl::meta::detail::detector< Default, void_t< Op< Args... > >, Op, Args... >::detected = true_

Definition at line 84 of file detection.h.

## type

template<typename Default , template< typename... > class Op, typename... Args>

using utl::meta::detail::detector< Default, void_t< Op< Args... > >, Op, Args... >::type = Op<Args...>

Definition at line 85 of file detection.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/detection.h